#!/bin/sh

PATH="/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin"
export PATH
umask 022
cd /

cat << 'IIIMF' > /etc/X11/xinit/xinput.d/iiimf
XIM=iiimx
XIM_PROGRAM=/usr/bin/iiimx
XIM_ARGS=-iiimd
GTK_IM_MODULE=iiim
QT_IM_MODULE=xim

export HTT_DISABLE_STATUS_WINDOW=t
export HTT_GENERATES_KANAKEY=t
export HTT_USES_LINUX_XKEYSYM=t
export HTT_IGNORES_LOCK_MASK=t
export JS_FEEDBACK_CONVERT=t
IIIMF

/usr/sbin/update-alternatives --install /etc/X11/xinit/xinput.d/ja_JP xinput-ja_JP /etc/X11/xinit/xinput.d/iiimf 90
/usr/sbin/update-alternatives --set xinput-ja_JP /etc/X11/xinit/xinput.d/iiimf

exit 0
